Subject: Re: [PATCH v2 net-next 2/3] pfcp: Convert pfcp_net_exit() to ->exit_rtnl().

From: Michal Swiatkowski <[email-masked]>
Date: Wed, 23 Apr 2025 10:37:05 +0200

On Tue, Apr 22, 2025 at 07:47:57PM -0700, Jakub Kicinski wrote:
> On Thu, 17 Apr 2025 17:32:33 -0700 Kuniyuki Iwashima wrote:
> >  drivers/net/pfcp.c | 23 +++++++----------------
> 
> Wojciech, Michał, does anyone use this driver?
> It seems that it hooks dev_get_tstats64 as ndo_get_stats64 
> but it never allocates tstats, so any ifconfig / ip link
> run after the device is create immediately crashes the kernel.
> I don't see any tstats in this driver history or UDP tunnel
> code so I'm moderately confused as how this worked / when
> it broke.
> 
> If I'm not missing anything and indeed this driver was always
> broken we should just delete it ?

Uh, I remember that we used it to add tc filter. Maybe we can fix it?
Adding Marcin, as he was working on it.

Thanks